/****************************************************************************
**  SCALASCA    http://www.scalasca.org/                                   **
**  KOJAK       http://www.fz-juelich.de/jsc/kojak/                        **
*****************************************************************************
**  Copyright (c) 1998-2010                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  Copyright (c) 2003-2008                                                **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#include "elg_defs.h"
#include "esd_event.h"

extern int pomp_tracing;

struct EpkRegDescr {
  elg_ui4 rid;     /* region id */
  elg_ui4 brid;    /* region id of implicit barrier */
                   /* also: lockid for critical     */
  elg_ui4 sbrid;   /* region id of enclosed structured block */
                   /* also: inner construct for combined constructs */
  elg_ui4 fid;
  elg_ui4 begln;
  elg_ui4 endln;
};

#define GUARDED_ENTER(id) \
  if ( pomp_tracing ) { \
    struct EpkRegDescr* data = (struct EpkRegDescr*)(r->data); \
    esd_enter(data->id); \
  }

#define GUARDED_ENTER_2(ch,id1,id2) \
  if ( pomp_tracing ) { \
    struct EpkRegDescr* data = (struct EpkRegDescr*)(r->data); \
    if ( r->name[0] == ch ) \
      esd_enter(data->id1); \
    else \
      esd_enter(data->id2); \
  }

#define GUARDED_EXIT(id) \
  if ( pomp_tracing ) { \
    struct EpkRegDescr* data = (struct EpkRegDescr*)(r->data); \
    esd_exit(data->id); \
  }

#define GUARDED_COLL_EXIT(id) \
  if ( pomp_tracing ) { \
    struct EpkRegDescr* data = (struct EpkRegDescr*)(r->data); \
    esd_omp_collexit(data->id); \
  }

#define GUARDED_COLL_EXIT_2(ch,id1,id2) \
  if ( pomp_tracing ) { \
    struct EpkRegDescr* data = (struct EpkRegDescr*)(r->data); \
    if ( r->name[0] == ch ) \
      esd_omp_collexit(data->id1); \
    else \
      esd_omp_collexit(data->id2); \
  }

