/****************************************************************************
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2010                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/


#include <cassert>

#include "MpiWindow.h"

using namespace std;
using namespace pearl;


/*
 *---------------------------------------------------------------------------
 *
 * class RmaWindow
 *
 *---------------------------------------------------------------------------
 */

//--- Constructors & destructor ---------------------------------------------

/**
 * Creates a new instance and initializes its identifier and associated
 * communicator with the given values @a id and @a communicator,
 * respectively.
 *
 * @param id           Window identifier
 * @param communicator Associated MPI communicator
 */
MpiWindow::MpiWindow(ident_t id, MpiComm* communicator)
  : RmaWindow(id),
    m_communicator(communicator)
{
  assert(communicator);
}


//--- Get window information ------------------------------------------------

/**
 * Returns the associated MPI communicator.
 *
 * @return MPI communicator
 */
MpiComm* MpiWindow::get_comm() const
{
  return m_communicator;
}
